# 中民燃气项目

## 技术选型

### 后端

- jdk1.8
- oracle11c
- redis
- springboot 2.2.4
- springcloud Hoxton.SR8
- nacos1.3.0
- openfegin

### 模块说明

| 名称     | 说明                                                         | 备注 |
| -------- | ------------------------------------------------------------ |---|
| common   | 项目框架公共部分，主要包含ftp文件删除，Excel文档处理，其他utils工具类等 | ✔ |
| doc      | 项目运行所需的nacos配置和项目运行的数据库脚本文件            | ✔  |
| gateway  | 微服务项目网关模块，提供异步路由调用、授权验证等             | ✔ |
| system   | 权限用户登录相关功能，包含用户和系统消息的基本功能等         | ✔ |
| workflow | 项目流程模块服务，业务流程相关                               | ✔ |

### 公司部署环境


gateway  192.168.2.15  
system  192.168.2.21   D:\中民燃气\workflow\system
workflow 192.168.2.21  D:\中民燃气\workflow

公司数据库

