package com.tofly.system.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 公司资源关联表(SysTenantResource)表实体类
 *
 * @author HaiQiu
 * @since 2022-09-09 17:26:47
 */
@ApiModel(value = "公司资源关联表")
@Data
@TableName(value = "SYS_TENANT_RESOURCE")
public class SysTenantResource extends Model<SysTenantResource> implements Serializable {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 资源ID
     */
    @ApiModelProperty(value = "资源ID")
    private Long resourceId;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

}

