package com.tofly.system.entity.vo.tenant;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.system.entity.SysDept;
import com.tofly.system.entity.SysTenant;
import com.tofly.system.entity.vo.dept.DeptVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 系统公司表
 * @TableName SYS_TENANT
 */
@Data
public class TenantVo extends SysTenant implements Serializable {

    /**
     * 部门
     */
    List<DeptVo> depts;

    /**
     * 子集公司
     */
    List<TenantVo> children ;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}