package com.tofly.system.service;

import com.tofly.system.entity.SysMenu;
import com.tofly.system.entity.SysMenuTenant;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_MENU_TENANT(菜单组织权限关联)】的数据库操作Service
* @createDate 2022-08-01 14:51:48
*/
public interface SysMenuTenantService extends IService<SysMenuTenant> {

    /**
     * 根据菜单Id查询关联的公司集合
     * @param menus 菜单集合
     * @return 菜单集合
     */
    List<SysMenu> getMenuTenantsByMenuId(List<SysMenu> menus);

}
