package com.tofly.system.service;

import com.tofly.common.entity.dto.MessageDto;
import com.tofly.system.entity.SysMessage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author haiqiu
* @description 针对表【SYS_MESSAGE(消息通知)】的数据库操作Service
* @createDate 2022-08-01 14:51:55
*/
public interface SysMessageService extends IService<SysMessage> {
    /**
     * 新增
     * @param messageDto 实体
     */
    void insert(MessageDto messageDto);

    /**
     * 修改
     * @param messageDto 实体
     */
    void edit(MessageDto messageDto);
}
