package com.tofly.system.service;

import com.tofly.common.entity.SysTask;
import com.tofly.common.entity.dto.TaskDto;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author haiqiu
* @description 针对表【SYS_TASK(系统任务待办)】的数据库操作Service
* @createDate 2022-08-01 14:52:44
*/
public interface SysTaskService extends IService<SysTask> {
    /**
     * 新增
     * @param taskDto 实体
     */
    void insert(TaskDto taskDto);

    /**
     * 修改
     * @param taskDto 实体
     */
    void edit(TaskDto taskDto);
}
