package com.tofly.workflow;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author haiqiu
 * @date 2022/7/29
 */
@SpringBootApplication(scanBasePackages = {"com.tofly"})
@EnableScheduling
@EnableDiscoveryClient
@MapperScan(basePackages = {"com.tofly.**.mapper"})
@EnableFeignClients( basePackages = {"com.tofly"})
public class FlowApplication {
    public static void main(String[] args) {
        SpringApplication.run(FlowApplication.class,args);
    }
}
