package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfBuildUnitP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfBuildUnitPDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 单位名称（模糊查询）
     */
    @ApiModelProperty(value = "单位名称（模糊查询）")
    private String deptName;

    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long companyId;

    /**
     * 施工组织单位实体
     */
    @ApiModelProperty(value = "施工组织单位实体")
    private TfBuildUnitP tfBuildUnitP;

    /**
     * 施工班组人员具体列表
     */
    @ApiModelProperty(value = "施工班组人员具体列表")
    private List<TeamStaffMoreDto> teamStaffMoreDtoList;

}
