package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class TfMatterPDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 物资信息表
     */
    @ApiModelProperty(value = "物资信息表")
    private TfMatterP matterP;

    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private TfMatterPriceP matterPrice;

}
