package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfProjectProcessP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfProjectProcessDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 工程性质（来源字典ID）
     */
    @ApiModelProperty(value = "工程性质（来源字典ID）")
    private Long nature;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 工程工序/工程管控
     */
    @ApiModelProperty(value = "工程工序/工程管控")
    private List<TfProjectProcessP> projectProcessList;
}
