package com.tofly.workflow.baseconf.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 假期、补班
 */
@Data
@EqualsAndHashCode
public class CalendarVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 日期时间
     */
    @ApiModelProperty(value = "日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 类型 0休假;1上班
     */
    @ApiModelProperty(value = "类型 0休假;1上班")
    private Short type;

}
