package com.tofly.workflow.baseconf.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 待办统计
 */
@Data
@EqualsAndHashCode
public class TaskCountVo implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 节点状态：1:填充；2审核；3驳回
     */
    @ApiModelProperty(value = "节点状态：1:填充；2审核；3驳回")
    private Short nodeType;
    /**
     * 总条数
     */
    @ApiModelProperty(value = "总条数")
    private Integer ct;

    /**
     * 超时条数
     */
    @ApiModelProperty(value = "超时条数")
    private Integer ount;
}
