/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.baseconf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.baseconf.entity.TfCalendarP;
import com.tofly.workflow.baseconf.entity.vo.CalendarVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 工作日应用日历（假期）
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfCalendarPMapper extends BaseMapper<TfCalendarP> {
    /**
     * 获取节假日
     * @param date 开始时间
     * @param endDate 结束时间
     * @param tenantId 租户id
     * @return 节假日信息
     */
    List<CalendarVo> getCalendar(@Param("date") Date date, @Param("endDateTime") Date endDate,@Param("tenantId") Long tenantId);
}
