/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.baseconf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import com.tofly.workflow.baseconf.entity.vo.MatterPriceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 物资价格
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfMatterPricePMapper extends BaseMapper<TfMatterPriceP> {

    List<MatterPriceVo> getMatterPriceByMatterIds(@Param("productIds") Set<Long> productIds,@Param("tenantId") Long tenantId);
}
