/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.baseconf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.baseconf.entity.TfTaskP;
import com.tofly.workflow.baseconf.entity.dto.ProjectTaskDto;
import com.tofly.workflow.baseconf.entity.vo.ProjectTaskInfoVo;
import com.tofly.workflow.baseconf.entity.vo.TaskCountVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 待办信息
 *
 * @author xqf
 * @date Mon Sep 19 00:00:00 CST 2022
 */
public interface TfTaskPMapper extends BaseMapper<TfTaskP> {

    Page<ProjectTaskInfoVo> pageTask(Page page,@Param("dto") ProjectTaskDto dto);

    List<TaskCountVo> getTaskCount(@Param("dto") ProjectTaskDto dto);

}
