/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfCalendarP;
import com.tofly.workflow.baseconf.entity.vo.CalendarVo;

import java.util.Date;
import java.util.List;

/**
 * 工作日应用日历（假期）
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfCalendarPService extends IService<TfCalendarP> {

    /**
     * 获取节假日
     * @param date 开始时间
     * @param endDate 结束时间
     * @param tenantId 租户id
     * @return 节假日信息
     */
    List<CalendarVo> getCalendar(Date date, Date endDate, Long tenantId);
}
