/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfContractFieldP;

/**
 * 合同模板公用字段
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfContractFieldPService extends IService<TfContractFieldP> {

    /**
     * 保存合同字段
     * @param tfContractFieldP 合同字段信息
     * @return
     */
    Object saveContractField(TfContractFieldP tfContractFieldP);

    /**
     * 修改合同字段
     * @param tfContractFieldP 合同字段信息
     * @return
     */
    Object updateContractField(TfContractFieldP tfContractFieldP);
}
