/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfMatterNumberP;

import java.util.List;

/**
 * 物资出入库数量
 *
 * @author JF
 * @date Wed Aug 10 00:00:00 CST 2022
 */
public interface TfMatterNumberPService extends IService<TfMatterNumberP> {

    List<TfMatterNumberP> getTfMatterNumberPList(TfMatterNumberP tfMatterNumberP);

    /**
     * 流程完后执行出入库操作
     * @param id 流程id
     * @param type 出入库类型 0 入库 1出库/核销
     */
    void inOrOutMaterial(Long id, Short type);
}
