/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfCalendarP;
import com.tofly.workflow.baseconf.entity.vo.CalendarVo;
import com.tofly.workflow.baseconf.service.TfCalendarPService;
import org.springframework.stereotype.Service;
import com.tofly.workflow.baseconf.mapper.TfCalendarPMapper;

import java.util.Date;
import java.util.List;

/**
 * 工作日应用日历（假期）
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfCalendarPService")
public class TfCalendarPServiceImpl extends ServiceImpl<TfCalendarPMapper, TfCalendarP> implements TfCalendarPService {
    /**
     * 获取节假日
     * @param date 开始时间
     * @param endDate 结束时间
     * @param tenantId 租户id
     * @return 节假日信息
     */
    @Override
    public List<CalendarVo> getCalendar(Date date, Date endDate, Long tenantId) {
        return this.baseMapper.getCalendar(date,endDate,tenantId);
    }
}
