/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import com.tofly.workflow.baseconf.entity.vo.MatterPriceVo;
import com.tofly.workflow.baseconf.service.TfMatterPricePService;
import org.springframework.stereotype.Service;
import com.tofly.workflow.baseconf.mapper.TfMatterPricePMapper;

import java.util.List;
import java.util.Set;

/**
 * 物资价格
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfMatterPricePService")
public class TfMatterPricePServiceImpl extends ServiceImpl<TfMatterPricePMapper, TfMatterPriceP> implements TfMatterPricePService {

    @Override
    public List<MatterPriceVo> getMatterPriceByMatterIds(Set<Long> productIds,Long tenantId) {
        return this.baseMapper.getMatterPriceByMatterIds(productIds,tenantId);
    }
}
