/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;


/**
 * 合同详情信息
 *
 * @author JF
 * @date Wed Aug 24 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONTRACT_INFO_W",resultMap = "tfContractInfoWMap")
@KeySequence("TF_CONTRACT_INFO_W")
@ApiModel
public class TfContractInfoW extends Model<TfContractInfoW> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 合同ID
     */
                @NotNull
            @ApiModelProperty(value = "合同ID")
                private Long contractId;
                /**
     * 合同模板字段ID
     */
            @ApiModelProperty(value = "合同模板字段ID")
                private Long templateFieldId;
                /**
     * 合同字段
     */
            @ApiModelProperty(value = "合同字段")
                private Long fieldId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String cFieldName;
                /**
     * 字段名称
     */
            @ApiModelProperty(value = "字段名称")
                private String fieldName;
                /**
     * 数据值
     */
            @ApiModelProperty(value = "数据值")
                private String dataValue;
    /**
     * 标记
     */
    @ApiModelProperty(value = "标记")
    private String sign;
            
}
