package com.tofly.workflow.buss.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class DispatchRecordDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    @NotNull
    private Long relationId;

    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    @NotNull
    private Long configId;

    /**
     * 工单状态列表
     */
    @ApiModelProperty(value = "工单状态列表")
    private List<Short> processStateList;

    /**
     * 材料类型
     */
    @ApiModelProperty(value = "材料类型")
    private Long materialType;

}
