package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.buss.entity.TfContractInfoW;
import com.tofly.workflow.buss.entity.TfContractW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class GenerateContractDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 模板ID
     */
    @ApiModelProperty(value = "模板ID")
    private Long templateId;
    /**
     * 模板对象
     */
    @ApiModelProperty(value = "模板对象")
    private TfContractW contractW;
    /**
     * 合同填充字段列表
     */
    @ApiModelProperty(value = "合同填充字段列表")
    private List<TfContractInfoW> contractInfoList;
    /**
     * 需删除文件的路径
     */
    @ApiModelProperty(value = "需删除文件的路径")
    private String deleteFilepath;
}
