package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 费用汇总其它项
 */
@Data
@EqualsAndHashCode
public class SumsOtherItemDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收费项ID
     */
    @NotNull(message = "itemId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "收费项ID")
    private Long itemId;
    /**
     * 收费项名称
     */
    @ApiModelProperty(value = "收费项名称")
    private String itemName;
    /**
     * 金额
     */
    @NotNull(message = "amount"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "金额")
    private Double amount;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
