package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfProjectMaterialDto extends TfProjectMaterialW implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;

    /**
     * 物资名称
     */
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 材料类型列表
     */
    @ApiModelProperty(value = "材料类型列表")
    private List<Long> materialTypeList;
    /**
     * 是否导出 1导出
     */
    @ApiModelProperty(value = "是否导出 1导出")
    private Short isExport;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

}
