package com.tofly.workflow.buss.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class TransferFixedAssetsDto implements Serializable {


    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 总价
     */
    @ApiModelProperty(value = "总价")
    private Double totalPrice;
    /**
     * 成本价
     */
    @ApiModelProperty(value = "成本价")
    private Double costPrice;
    /**
     * 转资金额
     */
    @ApiModelProperty(value = "转资金额")
    private Double capitalTransfer;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;


}
