package com.tofly.workflow.buss.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class TransferFixedAssetsVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;
    /**
     * 地区名称
     */
    @ApiModelProperty(value = "地区名称")
    private String regionName;
    /**
     * 地址(详细地址)
     */
    @ApiModelProperty(value = "地址(详细地址)")
    private String addre;
    /**
     * 总价
     */
    @ApiModelProperty(value = "总价")
    private Double totalPrice;
    /**
     * 成本价
     */
    @ApiModelProperty(value = "成本价")
    private Double costPrice;
    /**
     * 转资金额
     */
    @ApiModelProperty(value = "转资金额")
    private Double capitalTransfer;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
