/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.buss.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.buss.entity.TfMonitoringReportW;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 监检提交上报登记(监检上报、监检登记）
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
public interface TfMonitoringReportWMapper extends BaseMapper<TfMonitoringReportW> {

    /**
     * 获取监检上报登记数
     * @param processId 流程id
     * @param nodestate 节点状态
     * @param processStates 流程状态
     * @return
     */
    int getMReportCount(@Param("processId") Long processId,@Param("nodestate") Integer nodestate,@Param("states") List<Integer> processStates);
}
