package com.tofly.workflow.buss.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.buss.entity.TfProjectTransferW;
import com.tofly.workflow.buss.entity.vo.ProjectTransferVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目移交 (主要潼南应用项目移交登记--单独填报)(TfProjectTransferW)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-09-19 17:52:12
 */
public interface TfProjectTransferWMapper extends BaseMapper<TfProjectTransferW> {

    /**
    * 批量新增数据（MyBatis原生foreach方法）
    *
    * @param entities List<TfProjectTransferW> 实例对象列表
    * @return 影响行数
    */
    int insertBatch(@Param("entities") List<TfProjectTransferW> entities);
    
    /**
    * 批量新增或按主键更新数据（MyBatis原生foreach方法）
    *
    * @param entities List<TfProjectTransferW> 实例对象列表
    * @return 影响行数
    * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
    */
    int insertOrUpdateBatch(@Param("entities") List<TfProjectTransferW> entities);

    List<ProjectTransferVo> listProjectTransfer(@Param("processId") Long processId,@Param("nodeId") Long nodeId);
}

