/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.buss.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.buss.entity.TfTransferFixedAssetsW;
import com.tofly.workflow.buss.entity.dto.TransferFixedAssetsDto;
import com.tofly.workflow.buss.entity.vo.TransferFixedAssetsVo;
import org.apache.ibatis.annotations.Param;

/**
 * 转入固定资产 （单独填报)
 *
 * @author JF
 * @date Thu Sep 08 00:00:00 CST 2022
 */
public interface TfTransferFixedAssetsWMapper extends BaseMapper<TfTransferFixedAssetsW> {
    Page<TransferFixedAssetsVo> pageTransferFixedAssets(Page page, @Param("dto") TransferFixedAssetsDto dto);
}
