/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfMonitoringReportW;

import java.util.List;

/**
 * 监检提交上报登记(监检上报、监检登记）
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
public interface TfMonitoringReportWService extends IService<TfMonitoringReportW> {


    /**
     * 获取监检上报登记数
     * @param processId 流程id
     * @param nodestate 节点状态
     * @param processSstates 流程状态
     * @return
     */
    int getMReportCount(Long processId, Integer nodestate, List<Integer> processSstates);
}
