/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfSumsOtherItemW;
import com.tofly.workflow.buss.entity.dto.SumsOtherItemDto;

import java.util.List;

/**
 * 费用汇总其它目
 *
 * @author xqf
 * @date Wed Feb 15 00:00:00 CST 2023
 */
public interface TfSumsOtherItemWService extends IService<TfSumsOtherItemW> {

    /**
     * 保存费用汇总其它项目
     * @param otherItem 费用其它项目
     * @param processId 主流程ID
     * @return 是否保存成功
     */
    boolean saveOtherItems(List<SumsOtherItemDto> otherItem, Long processId);

}
