package com.tofly.workflow.common;

import java.math.BigDecimal;

public interface FlowConstant {
    String SUCCESS = "成功";
    String FAILED = "失败";
    String POINT = ".";
    String COLON = ":";
    String X_LINE = "-";
    String Y_LINE = "|";
    String UNDERLINE = "_";
    String KB = "kb";
    String CSV = ",";
    String FLAG = "0";
    String ISNOTNUL = "参数值不能为空";
    String STRING_TWO_HUNDRED = "200";
    String TOKEN_ERROR = "310036";
    Short SHORT_TWO = 2;
    Short SHORT_ONE = 1;
    Short SHORT_ZERO = 0;
    Short SHORT_THREE = 3;
    Short SHORT_FOUR = 4;
    Short SHORT_EIGHT = 8;
    Short SHORT_NINE = 9;
    Short SHORT_FIVE = 5;
    Short SHORT_SIX = 6;
    Long LONG_TWO = 2L;
    BigDecimal LONG_ONE = new BigDecimal(1);
    Long LONG_ZERO=0L;
    Long LONG_TWENTY_TWO=22l;
    Long LONG_NEGATIVE_ONE = -1l;
    Long INTEGER_TWENTY_FOUR = 24l;
    Integer INTEGER_ONE_HUNDRED = 100;
    Integer INTEGER_THREE = 3;
    Integer INTEGER_FOUR = 4;
    Integer INTEGER_FIVE = 5;
    Integer INTEGER_TWO = 2;
    Integer INTEGER_ONE = 1;
    Integer INTEGER_EIGHT = 8;
    Integer INTEGER_MINUS_ONE = -1;
    Integer INTEGER_MINUS_TWO = -2;
    String STRING_MINUS_ONE = "-1";
    String STRING_MINUS_TWO = "-2";
    Integer INTEGER_ZERO = 0;
    String JCLX = "LX";
    String WDBM = "WD";
    String WZ = "WZ";
    String ZC = "ZC";
    /**出库类型*/
    String OUT_BUSTYPE="A19001";
    /**退库类型*/
    String RET_BUSTYPE = "A08001";
    /**转库类型*/
    String ZK_BUSTYPE="A11001";
    String INSERT = "Insert";
    String STRING_ONE = "1";
    String STRING_TWO = "2";
    String STRING_THREE = "3";
    String STRING_FOUR = "4";
    String STRING_ELEVEN="11";
    String REDIS_FLOW="flow:";
    String REDIS_QUERY_KEY = REDIS_FLOW+"zmrq:";
    String REDIS_YY_TOKEN_KEY = REDIS_FLOW+"wzyy:token";
    String REDIS_SEQUENCE_KEY = REDIS_QUERY_KEY+"sequence:";
    String PROCESS_CONFIG_REDIS_KEY = REDIS_FLOW+"process:number";
    String NOT_LESS_THAN="不能小于";
    String NOT_GREATER_THAN="不能大于";
    String BASETYPE_NOT_EXISTS = "类型不存在";
    String DATA_NOTHINGNESS = "数据不存在！";
    String NAME_EXISTS = "名称已存在！";
    String PARAMETER_ERROR = "参数错误，不符合要求！";
    Object DATATYPE_ERROR = "类别赋值错误！";
    String ADD_HANDLE = "新增";

    String DATA_SQL_NULL = "执行sql不存在！";

    String DATA_UPPER_LIMIT = "数据超越上限";
    String DATA_LOWER_LIMIT = "数据超越下限";
    String USER_NOT_NULL = "人员为空";
    String STEP_NOT_NULL = "步骤为空";
    String STEP_NUMBER_ERROR = "步骤编号错误";
    String COERCE_NODE_WRONG = "步骤强制执行节点错误";
    String PAGE_CONFIG_WRONG = "步骤页面配置错误";
    String USER_CONFIG_WRONG = "步骤人员配置错误";
    String HISTORY_STEP_NODE_ONLY = "历史步骤节点不存在或不唯一";
    String STEP_MAX_I = "应用步骤大于本步骤编号";
    String UPPER_WRONG = "上一步骤错误";
    String NEXT_WRONG = "下一步骤错误";
    String RETURN_STEP_WRONG = "驳回到指定步骤错误";
    String NEXT_STEP_LOOP = "下一步骤循环";
    String TENANT_NOT_NULL = "TENANT 租户不能为空";
    String CONFING_EXISTS = "流程配置已经存在";
    String LINK_HISTORY_STEP_NULL = "关联历史节点为空";
    String LINK_CONFIG_REPEAT = "关联历史配置流程重复";
    String CONFIG_NOT_EXIST = "流程配置不存在";
    String CONFIG_STEP_ERROR = "流程步骤错误";
    String THIS_STEP_NODE_ONLY = "引用本步骤不能应用其它步骤";
    String STEP_FINISH_WRONG = "已处理完成或不存在";
    String WORK_ORDER_PROCESS = "工单流程不存在";
    String FILE_NON_EXISTENT = "文件不存在";
    String PROCESS_STEP_NUMBER_ERROR = "流程步骤节点序号错误";
    String PROCESS_NAME_REPEAT = "流程名称重复";
    String NO_PROCESSING_PERMISSION = "本步骤无处理权限";
    String NON_UNIQUE_HANDLER = "不是唯一处理人，不允许转派";
    String NEXT_STEP_ERROR = "下一步步骤错误";
    String USER_DEPT_POST_NULL = "人员存在部门或岗位不能为空";
    String TRANSFER_USER_NULL = "转派人员必须指定且唯一";
    String NODE_NUMBER_ERROR = "节点序号错误";
    String NEXT_STEP_NUMBER_ERROR = "本步骤下节点处理唯一";
    String STEP_NODE_ERROR = "步骤及序号不能为空";
    String NEXT_USER_MUST_SPECIFY = "下一步处理人员必须指定";
    String NEXT_STEP_MUST_SPECIFY = "下一步步骤必须指定";
    String PROCESS_TABLE_NAME = "TF_PROCESS_L";
    String BUSINESS_DOES_NOT_EXIST = "业务不存在";
    String DATA_NULL = "数据为空";
    String LINK_PROCESS_WRONG = "关联流程或结点不存在！";
    String ID_STEP_NOT_MATCH = "ID与步骤不匹配！";
    String STEP_NODE_DATE_ERROR = "步骤数据错误！";
    String HANDLE_STEP_REPEAT = "处理流程步骤重复！";
    String NO_HANDLE_PURVIEW = "无操作权限";

    String FILE_NAME_REPEAT = "上传文件名称存在重复！";
}

