package com.tofly.workflow.common;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 配置
 */
@Slf4j
@Data
@Component
@Configuration
public class ForeignConfig {


    /**工程终止*/
    @Value("${zmrq.flow.redisQueue.gczzKey}")
    private String queueGczzKey;

    /**负责人变更*/
    @Value("${zmrq.flow.redisQueue.fzrbgKey}")
    private String queueFzrbgKey;

    /**材料领用，工程领料*/
    @Value("${zmrq.flow.redisQueue.gcllKey}")
    private String queueGcllKey;

    /**材料领用，工程退料*/
    @Value("${zmrq.flow.redisQueue.gctlKey}")
    private String queueGctlKey;


    /**材料领用，小仓库入库*/
    @Value("${zmrq.flow.redisQueue.cllyKey}")
    private String queueCllyKey;

    /**材料核销，小仓库出库*/
    @Value("${zmrq.flow.redisQueue.clhxKey}")
    private String queueClhxKey;


}
