/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.pay.entity.PayImplInfoP;
import com.tofly.workflow.pay.entity.dto.PayImplInfoDto;

/**
 * 银行支付相关接口配置
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
public interface PayImplInfoPService extends IService<PayImplInfoP> {

    /**
     * 保持银行支付接口配置
     * @param dto 配置信息
     * @return
     */
    Object savePayImpl(PayImplInfoDto dto);

    /**
     * 删除银行支付相关接口配置
     * @param id id
     * @return
     */
    Boolean removePayImplById(Long id);
}
