/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.common.FlowConstant;
import com.tofly.workflow.pay.entity.PaySelectW;
import com.tofly.workflow.pay.mapper.PaySelectWMapper;
import com.tofly.workflow.pay.service.PaySelectWService;
import org.springframework.stereotype.Service;

/**
 * 银行（支付）交易查询相应报文
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Service("paySelectWService")
public class PaySelectWServiceImpl extends ServiceImpl<PaySelectWMapper, PaySelectW> implements PaySelectWService {

    /**
     * 删除银行（支付）交易查询相应报文
     * @param id ID
     * @return
     */
    @Override
    public Boolean removePaySelectById(Long id) {
        return this.update(new UpdateWrapper<PaySelectW>().lambda().eq(PaySelectW::getId,id).eq(PaySelectW::getIsDel, FlowConstant.SHORT_ZERO)
                .set(PaySelectW::getIsDel,FlowConstant.SHORT_ONE));
    }
}
