package com.tofly.workflow.process.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class FsProcessDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;

    /**
     * 流程类型类型表ID 集合
     */
    @ApiModelProperty(value = "流程类型类型表ID 集合")
    private List<Long> processType;

    /**
     * 流程配置ID集合
     */
    @ApiModelProperty(value = "流程配置ID集合")
    private List<Long> configId;

    /**
     * 业务类型，基础类型表 集合
     */
    @ApiModelProperty(value = "业务类型，基础类型表 集合")
    private List<Long> ywType;

}
