package com.tofly.workflow.process.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 流程步骤信息
 */
@Data
@EqualsAndHashCode
public class PNodeSaveDto extends PNodeDto {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 流程ID
     */
    @NotNull(message = "processId" + FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;


}
