package com.tofly.workflow.process.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 上下关联节点
 */
@Data
@EqualsAndHashCode
public class UpNextNodeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前节点ID
     */
    @ApiModelProperty(value = "当前节点ID")
    private Long nodeId;

    /**
     * 上步骤节点ID
     */
    @ApiModelProperty(value = "上步骤节点ID")
    private Long stepNodeId;

}
