/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.process.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.process.entity.TfProcessSuperviseL;
import com.tofly.workflow.process.entity.dto.PSuperviseDto;

/**
 * 流程督办记录信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessSuperviseLService extends IService<TfProcessSuperviseL> {

    /**
     * 保存督办信息
     * @param dto 督办信息
     * @return 保存结果
     */
    Object pSuperviseSave(PSuperviseDto dto);
}
