/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.processconfig.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 流程步骤指定应用历史步骤人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_LINK_HISTORY_STEP_L", resultMap = "tfLinkHistoryStepLMap")
@KeySequence("TF_LINK_HISTORY_STEP_L")
@ApiModel
public class TfLinkHistoryStepL extends Model<TfLinkHistoryStepL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程节点ID
     */
    @ApiModelProperty(value = "流程节点ID")
    private Long stepId;
    /**
     * 引用配置ID(流程自身值为0)
     */
    @ApiModelProperty(value = "引用配置ID(流程自身值为0)")
    private Long historyConfigId;
    /**
     * 应用步骤编号
     */
    @ApiModelProperty(value = "应用步骤编号")
    private Integer historyStepOrder;

}
