package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 流程关联历史流程步骤
 */
@Data
@EqualsAndHashCode
public class LHistoryStepDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 引用配置ID(流程自身值为0)
     */
    @NotNull(message = "historyConfigId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "引用配置ID(流程自身值为0)")
    private Long historyConfigId;
    /**
     * 应用步骤ID
     */
    @NotNull(message = "historyStepOrder"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "应用步骤序号")
    private Integer historyStepOrder;
}
