package com.tofly.workflow.processconfig.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 流程配置名称信息
 */
@Data
@EqualsAndHashCode
public class ConfigNameInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 步骤序号
     */
    @ApiModelProperty(value = "步骤序号")
    private String stepOrder;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;
    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String processNumber;
    /**
     * 流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;

    private String processTypeName;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;

    private String businessTypeName;

    /**
     * 流程步骤人员
     */
    @ApiModelProperty(value = "流程步骤人员")
    private List<CSUserVo> users;


}
