package com.tofly.workflow.processconfig.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ServiceImplVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private String node;
    /**
     * 查询service多个逗号分隔
     */
    @ApiModelProperty(value = "查询service多个逗号分隔")
    private String serviceImpls;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
}
