/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.processconfig.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.processconfig.entity.TfPageControlL;
import com.tofly.workflow.processconfig.entity.dto.ULabelOrServiceDto;
import com.tofly.workflow.processconfig.entity.vo.ServiceImplVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 页面空间展示
 *
 * @author xqf
 * @date Tue Aug 09 00:00:00 CST 2022
 */
public interface TfPageControlLMapper extends BaseMapper<TfPageControlL> {
    List<ServiceImplVo> getServiceImpl(@Param("configId") Long configId,@Param("edition") Integer edition);

    ServiceImplVo getNodeService(@Param("configId") Long configId,@Param("edition") Integer edition,@Param("processStep") Integer processStep,@Param("stepNode") Integer stepNode);

    Integer updateLabelOrService(@Param("dto") ULabelOrServiceDto dto);
}
