package com.tofly.workflow.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


@Data
public class ReportDto {
    @ApiModelProperty(value = "租户ID")
    private  Long tenantId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 工程类型
     */
    @ApiModelProperty(value = "工程类型id，多个以，号分割")
    private String processTypes;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "工程性质id，多个以,号分割")
    private String projectNatureIds;

}
