package com.tofly.workflow.report.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class NotInProjectVo {
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "A")
    private String projectName;
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "B")
    private String processTypeName;

    @Excel(name = "工程性质",column = "C")
    @ApiModelProperty(value = "工程性质")
    private String projectNature;
    @Excel(name = "地址",column = "D")
    @ApiModelProperty(value = "地址")
    private String  address;
    @Excel(name = "申请户数",column = "E")
    @ApiModelProperty(value = "申请户数")
    private String householdNumber;

    @ApiModelProperty(value = "申请日期")
    @Excel(name = "申请日期",column = "F")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date registerTime;

    @Excel(name = "联系人",column = "G")
    @ApiModelProperty(value = "联系人")
    private String contacts;

    @Excel(name = "联系电话",column = "H")
    @ApiModelProperty(value = "联系电话")
    private String userPhone;


    //勘察人
    @Excel(name = "负责人",column = "I")
    @ApiModelProperty(value = "负责人")
    private String  dutyUser;
    @Excel(name = "勘察日期",column = "J")
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date surveyDate;
    @Excel(name = "缴费日期",column = "K")
    @ApiModelProperty(value = "缴费日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date jfrq;

    @Excel(name = "派工日期",column = "L")
    @ApiModelProperty(value = "派工日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date dataTime;
}
