package com.tofly.workflow.report.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SignApplyVo {
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "A")
    private String projectName;
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "B")
    private String processTypeName;
    @ApiModelProperty(value = "申请日期")
    @Excel(name = "申请日期",column = "C")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date registerTime;
    @Excel(name = "地址",column = "E")
    @ApiModelProperty(value = "地址")
    private String  address;
    @Excel(name = "用户电话",column = "F")
    @ApiModelProperty(value = "用户电话")
    private String userPhone;
    //勘察人
    @Excel(name = "勘察人",column = "G")
    @ApiModelProperty(value = "勘察人")
    private String  dutyUser;
    @Excel(name = "勘察日期",column = "H")
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date surveyDate;
    @Excel(name = "申请户数",column = "I")
    @ApiModelProperty(value = "申请户数")
    private String householdNumber;
    @Excel(name = "工程性质",column = "J")
    @ApiModelProperty(value = "工程性质")
    private String projectNature;
    @Excel(name = "安装内容",column = "K")
    @ApiModelProperty(value = "安装内容")
    private String installContent;
    @Excel(name = "登记人名称",column = "L")
    @ApiModelProperty(value = "登记人名称")
    private String registerStaffName;
    @Excel(name = "当前流程环节",column = "M")
    @ApiModelProperty(value = "当前流程环节")
    private String labelName;
}
