package com.tofly.workflow.utils.compute;

/**
 * 作者：xxx
 * 创建时间：2020/5/19 9:51
 * 版本：1.0
 * 描述： 实现运算的操作类
 */
public class StrOperate {
    private static final String maxBracket = "a(";
    private static final String minBracket = "i(";

    //比较最大值,最小值
    public static double doLimit(StrStack opeStack, StrStack numStack) {
        double[] doubles = new double[numStack.getStackPoint()];
        int i = 0;
        double temp = 0;
        //不是起始限值符,则一直比较下去
        while (!maxBracket.equals(opeStack.getTop()) && !minBracket.equals(opeStack.getTop())) {
            doubles[i++] = Double.parseDouble(numStack.pop());
            opeStack.pop();//删除当前符号
        }
        if (maxBracket.equals(opeStack.getTop())) {
            doubles[i++] = Double.parseDouble(numStack.pop());
            for (int j = 0; j < i - 1; j++) {
                temp = Math.max(doubles[j], doubles[j + 1]);
            }
        }
        if (minBracket.equals(opeStack.getTop())) {
            doubles[i++] = Double.parseDouble(numStack.pop());
            for (int j = 0; j < i - 1; j++) {
                temp = Math.min(doubles[j], doubles[j + 1]);
            }
        }
        return temp;
    }

    //加减乘除运算
    public static double doOperate(double a, String operator, double b) {
        double temp = 0;
        switch (operator) {
            case "+":
                temp = a + b;
                break;
            case "-":
                temp = a - b;
                break;
            case "*":
                temp = a * b;
                break;
            case "/":
                temp = a / b;
                break;
        }
        return temp;
    }
}

