/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.wzyy.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 材料组织关联关系表
 *
 * @author admin
 * @date Mon Mar 13 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MATTER_ORG_P",resultMap = "matterOrgMap")
@KeySequence("TF_MATTER_ORG_P")
@ApiModel
public class MatterOrg extends Model<MatterOrg> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 关联tf_matter_p表id
     */
            @ApiModelProperty(value = "关联tf_matter_p表id")
                private Long matterId;
                /**
     * 组织编码
     */
            @ApiModelProperty(value = "组织编码")
                private String orgCode;
                /**
     * 组织id
     */
            @ApiModelProperty(value = "组织id")
                private Long orgId;
                /**
     * 用友物料id
     */
            @ApiModelProperty(value = "用友物料id")
                private Long yyId;
            
}
