package com.tofly.workflow.wzyy.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 请求用友返回的相应
 */
@Data
@EqualsAndHashCode
public class RespDto implements Serializable {


    /**
     * 相应code
     */
    @ApiModelProperty(value = "相应code")
    private String code;

    /**
     * 相应信息
     */
    @ApiModelProperty(value = "相应信息")
    private String message;

}
