package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 退料用友实体类
 */
@Data
@EqualsAndHashCode
public class MaterialItemRetDto extends MaterialItemOutDto{

    /**
     * 件数
     */
    @ApiModelProperty(value = "件数")
    private Double subQty;

    /**
     * 库存换算率换算方式，0固定换算，1浮动换算    默认1
     */
    @ApiModelProperty(value = "库存换算率换算方式，0固定换算，1浮动换算")
    private Short unitExchangeType;
    /**
     * 商品SKUid或编码
     */
    @ApiModelProperty(value = "商品SKUid或编码 ")
    private String productsku;
}
