package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 用友退库
 */
@Data
@EqualsAndHashCode
public class MaterialRetDto extends MaterialYyDto{
    /**
     * 全局唯一
     */
    @ApiModelProperty(value = "全局唯一")
    private String resubmitCheckKey;

    /**
     * 会计主体
     */
    @ApiModelProperty(value = "会计主体")
    private String accountOrg;

    /**
     * 其他入库单子表
     */
    @ApiModelProperty(value = "其他入库单子表")
    private List<MaterialItemRetDto> othInRecords;

    /**
     * 表头自定义项特征（其它入库退料）
     */
    @ApiModelProperty(value = "表头自定义项特征（其它入库退料）")
    private OutDefineDto othInRecordDefineCharacter;

}
