package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class MaterialYyDto implements Serializable {

    /**
     * 库存组织id
     */
    @ApiModelProperty(value = "库存组织id")
    private Long org;
    /**
     * 单据日期
     */
    @ApiModelProperty(value = "单据日期")
    private String vouchdate;

    /**
     * 领用组织id 公司
     */
    @ApiModelProperty(value = "领用组织id 公司")
    private Long factoryOrg;

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long warehouse;
    /**
     * 交易类型id，或交易类型code
     */
    @ApiModelProperty(value = "交易类型id，或交易类型code")
    private String bustype;

    /**
     * 操作标识, Insert:新增、Update:更新
     */
    @ApiModelProperty(value = "操作标识, Insert:新增、Update:更新")
    private String _status;

    /**
     * 表头自定义项集合
     */
    @ApiModelProperty(value = "表头自定义项集合")
    private HeadItemDto headItem;
}
