package com.tofly.workflow.wzyy.entity.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class SimpleDto implements Serializable {
    /**
     * 属性名(条件)
     */
    @ApiModelProperty(value = "属性名(条件)")
    private String field;
    /**
     * 条件比较符(eq,neq,lt,gt,elt,egt,between,in,nin,like,leftlike,rightlike,is_null,is_not_null,and,or)
     */
    @ApiModelProperty(value = "条件比较符(eq,neq,lt,gt,elt,egt,between,in,nin,like,leftlike,rightlike,is_null,is_not_null,and,or)")
    private String op;
    /**
     * 值1(条件)
     */
    @ApiModelProperty(value = "值1(条件)")
    private String value1;
    /**
     * 值2(条件)
     */
    @ApiModelProperty(value = "值2(条件)")
    private String value2;
}
