package com.tofly.test;


import cn.hutool.core.math.Calculator;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import com.tofly.workflow.common.ContractConfigInfo;
import com.tofly.workflow.utils.compute.EvaluateExpression;
import com.tofly.workflow.utils.compute.MoneyToChineseUtils;
import com.tofly.workflow.utils.compute.ScanFieldUtil;
import com.tofly.workflow.utils.compute.StrParaReplace;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;

import javax.script.ScriptException;
import java.lang.annotation.Annotation;
import java.lang.reflect.Field;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class TestCal {
    public static void main(String[] args) {

        System.out.println(MoneyToChineseUtils.convert(172.3));
    }

    static void test22()

    {
        System.out.println(JSON.toJSONString(StrParaReplace.getParaByCalStr("taxperHouseholdend-notaxperHouseholdend")));
    }
    static void test11(){
        ScanFieldUtil.scanTableAndField("com.tofly.workflow.buss.entity");
    }

    static void test3(){
        String s = "hellWorld";
        System.out.println(StrUtil.toUnderlineCase("hellWorld"));

    }
    static void test1(){
         final String symbol = "+-*/()";
        String me = "one*(two+three)";

        final char[] chars = me.toCharArray();
        StringBuffer buf = new StringBuffer();
        for (char c : chars) {
            if(symbol.indexOf(c)>=0){
                if(buf.length()!=0){
                    System.out.println("print"+buf.toString());
                    buf.delete(0,buf.length());
                }
            }else{
                buf.append(c);
            }

        }


    }

  void  test2(){
        String outSum = new EvaluateExpression("2.111*(3+4)")
                .doEvaluateExpression()
                .getOutSum();
        System.out.println(outSum);
    }

static  void  test5(){


        Map<String, Map<String,String>>tableMap = new HashMap<>();
        Map<String,String> tableInfo = new HashMap<>();
        final Set<Class<?>> classes = ScanFieldUtil.getClasses("com.tofly.workflow.buss.entity");
        for (Class<?> aClass : classes) {
            //通过注解  获得表名
            final Annotation[] annotations = aClass.getAnnotations();
            final ContractConfigInfo annotation1 = aClass.getAnnotation(ContractConfigInfo.class);
            if(annotation1==null){
             //   log.info(aClass.getName());
                continue;
            }else{
               // log.info("exist:"+aClass.getName());
            }
            final String tableName = (String) annotation1.tableName();
            if(StringUtils.isNotEmpty(tableName)){
                //获取该实体的属性名
                final Field[] declaredFields = aClass.getDeclaredFields();
                Map<String,String> singleTableField = new HashMap<>();
                for (Field declaredField : declaredFields) {

                    final String fieldName = declaredField.getName();

                    if("id".equals(fieldName)){
                        continue;
                    }
                    final ApiModelProperty annotation = declaredField.getAnnotation(ApiModelProperty.class);
                    String fieldText=null;
                    if(annotation!=null){
                        fieldText =
                                declaredField.getAnnotation(ApiModelProperty.class).value();
                    }




                    singleTableField.put(fieldName,fieldText);

                }
                tableMap.put(tableName,singleTableField);
                //将表名  和note名称存储
                tableInfo.put(tableName,annotation1.note());
            }
        }

        //final Map<String, String> tf_report_entry_w = tableMap.get("TF_REPORT_ENTRY_W");
        //  System.out.println(JSON.toJSONString(tf_report_entry_w));
        System.out.println(JSON.toJSONString(tableInfo));
    }

}
