package com.tofly.workflow;

import com.alibaba.fastjson.JSON;
import com.tofly.workflow.buss.entity.TfAlterBuildUnit;
import com.tofly.workflow.process.entity.dto.PNodeDto;
import com.tofly.workflow.process.entity.dto.ProcessDto;
import com.tofly.workflow.process.entity.vo.ProcessVo;
import com.tofly.workflow.process.service.TfProcessLService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;


/**
 * @author sheldon
 * @Description
 * @create 2024-02-18 17:05
 */

@SpringBootTest(classes = FlowApplication.class)
public class FlowApplicationTest {
    @Resource
    TfProcessLService processLService;

    @Test
    void contextLoads() {

    }
//{"userId":"1563042152077426689","stepNode":"1","processStep":"18","annex":"[]","handleState":"1","handleRemark":"","nextSteps":[{"deptStaff":"1563042152077426689","post":"1607207742119931905","processStep":19,"stepNode":1}],"fileName":[],"saveState":1,"map":{"tfConstructionTeamWService":"{\"teamId\":\"1731586957610684418\",\"leaderName\":\"王加兴\",\"leaderPhone\":\"13518272195\",\"conUserIds\":\"1646724783927459842,1579356236943044609\",\"pointsAttention\":\"\",\"remark\":\"\",\"files\":{\"addFile\":[],\"deleteFile\":\"[]\"},\"processId\":\"1759095414276395009\",\"configId\":\"1572140204302041089\",\"conUserNames\":\"test1,王加兴\"}"},"processId":"1759095414276395009"}


//    @BeforeEach
//    public void setUp() {
//        MockedStatic<SecurityUtils> utilsMock = Mockito.mockStatic(SecurityUtils.class);
//       utilsMock.when(SecurityUtils::getTenantId).thenReturn(1569602913205559298L);
//    }

    @Test
    public void testProcessNodeSave() {
        ProcessDto dto = new ProcessDto();
        dto.setRelationId(1752928502699888647L);
        dto.setConfigId(1595667017758232578L);
        dto.setName(System.currentTimeMillis()+"");
        PNodeDto pNodeDto = new PNodeDto();
        pNodeDto.setHandleState(1);
        pNodeDto.setProcessStep(1);
        pNodeDto.setSaveState(1);
        pNodeDto.setStepNode(1);
        pNodeDto.setUserId(1563042152077426689L);
        Map<String, String> map = new HashMap<>();
        TfAlterBuildUnit tfAlterBuildUnit = new TfAlterBuildUnit();
        tfAlterBuildUnit.setTeamId(1731564314656346113L);
        tfAlterBuildUnit.setProcessId(1752928502699888647L);
        tfAlterBuildUnit.setConUserIds("1579309290635243522,1579303473257123842,1579308794281308162,1579309071734517762,1579307442620706818,1608011526951505922,1646724434130894849");
        tfAlterBuildUnit.setConUserNames("申宏伟,罗欧,何述成,曹帅,周庆,张尚剑,test");
        tfAlterBuildUnit.setNodeId(1759445818730274818L);
        map.put("tfAlterBuildUnitService", JSON.toJSONString(tfAlterBuildUnit));
        pNodeDto.setMap(map);
        dto.setPNode(pNodeDto);
        Object obj = processLService.processSave(dto, null);
        System.out.println("obj = " + JSON.toJSONString(dto));
    }
    @Resource
    TfProcessLService tfProcessLService;
    @Test
    void testGetTfProcessLById(){
        ProcessVo tfProcessLById = tfProcessLService.getTfProcessLById(1717429018534166530L);
        System.out.println("tfProcessLById = " + JSON.toJSONString(tfProcessLById));


    }

}

