package com.tofly.common.apis.fallback;

import com.tofly.common.apis.SysRemoteService;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.entity.SysTask;
import com.tofly.common.entity.dto.MessageDto;
import com.tofly.common.entity.dto.TaskDto;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @author haiqiu
 * @date 2022/8/10
 */
@Component
public class RemoteServiceImpl implements SysRemoteService {

    @Override
    public ResultData insert(MessageDto messageDto) {
        return ResultData.fail("系统服务超时，请稍后再试！");
    }

    @Override
    public ResultData insert(TaskDto taskDto) {
        return ResultData.fail("系统服务超时，请稍后再试！");
    }

    @Override
    public ResultData update(TaskDto taskDto) {
        return ResultData.fail("系统服务超时，请稍后再试！");
    }

    @Override
    public ResultData allList(SysTask sysTask) {
        return ResultData.fail("系统服务超时，请稍后再试！");
    }

    @Override
    public ResultData selectOne(Serializable id) {
        return ResultData.fail("系统服务超时，请稍后再试！");
    }
}
