package com.tofly.common.config;

import com.tofly.common.utils.ApiClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

/**
 * @author HaiQiu
 * @since 2022/10/25
 * http请求工具token初始化配置
 */
@Configuration
public class ApiConfig {

    @Value("${yonbip.access_token:xxxxxxxxx}")
    private String yonbipToken;

    /**
     * 初始化用友平台token
     */
    @PostConstruct
    public void initApiClient(){
        ApiClient.TOKEN = yonbipToken;
    }
}
