package com.tofly;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author haiqiu
 * @date 2022/7/27
 */
@SpringBootApplication(scanBasePackages = {"com.tofly"})
@EnableDiscoveryClient
@MapperScan(basePackages = {"com.tofly.**.mapper"})
@EnableFeignClients( basePackages = {"com.tofly"})
public class SystemApplication {
    public static void main(String[] args) {
        SpringApplication.run(SystemApplication.class,args);
    }
}
