package com.tofly.system.service;

import com.tofly.system.entity.SysPost;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.dto.PostDto;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_POST(系统岗位)】的数据库操作Service
* @createDate 2022-08-01 14:52:05
*/
public interface SysPostService extends IService<SysPost> {
    /**
     * 新增
     * @param postDto 实体
     */
    void insert(PostDto postDto);

    /**
     * 修改
     * @param postDto 实体
     */
    void edit(PostDto postDto);

    /**
     * 批量删除
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);
}
