package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfCalendarP;
import com.tofly.workflow.baseconf.entity.TfCalendarYearP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class CalendarYearPDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 日历年实体
     */
    @ApiModelProperty(value = "日历年实体")
    private TfCalendarYearP calendarYearP;

    /**
     * 工作日应用日历列表
     */
    @ApiModelProperty(value = "工作日应用日历列表")
    private List<TfCalendarP> calendarPList;

}
