package com.tofly.workflow.baseconf.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ContractFieldDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 字段类型(1文本;2整数;3小数;4文本框)
     */
    @ApiModelProperty(value = "字段类型(1文本;2整数;3小数;4文本框)")
    private Short fieldType;

    /**
     * 特殊类型(1预付款;2单列费用;3总价)
     */
    @ApiModelProperty(value = "特殊类型(1预付款;2单列费用;3总价)")
    private Short specialType;

    /**
     * 标记
     */
    @ApiModelProperty(value = "标记")
    private String sign;


}
