package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfMatterNumberP;
import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class MatterInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 材料信息实体
     */
    @ApiModelProperty(value = "材料信息实体")
    private TfMatterP matterP;

    /**
     * 材料价格实体
     */
    @ApiModelProperty(value = "材料价格实体")
    private TfMatterPriceP matterPriceP;

    /**
     * 物资出入库数量实体
     */
    @ApiModelProperty(value = "物资出入库数量实体")
    private TfMatterNumberP matterNumberP;

}
