package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.buss.entity.TfProjectBaseW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class QueryConfigDto {
    /**
     * 页面上涉及到修改的数据
     */
    @ApiModelProperty(value = "页面基础数据")
    TfProjectBaseW tfProjectBaseW;

    @ApiModelProperty(value = "流程id")
    @NotNull(message = "processId 流程id 不能为空")
    private Long processId;

    @ApiModelProperty(value = "合同模板id ")
    private Long templateFieldId;

    @ApiModelProperty(value = "tenantId ")
    @NotNull(message = "tenantId 不能为空")
    private Long tenantId;
    @ApiModelProperty(value = "当前字段 ")
    private String sourceField;

    @ApiModelProperty(value = "当前字段值 ")
    private String sourceValue;

}
