package com.tofly.workflow.baseconf.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 执行sql查询条件组合
 */
@Data
@EqualsAndHashCode
public class SqlWhereDto implements Serializable {

    /**
     * 次序
     */
    @ApiModelProperty(value = "次序")
    private int number;

    /**
     * 查询条件
     */
    @ApiModelProperty(value = "查询条件")
    private List<SqlConditionDto> condition;
}
