package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfConstructionTeamP;
import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
@Data
public class TeamStaffMoreDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 施工班组实体
     */
    @ApiModelProperty(value = "施工班组实体")
    private TfConstructionTeamP tfConstructionTeamP;

    /**
     * 施工班组负责人实体
     */
    @ApiModelProperty(value = "施工班组负责人实体")
    private TfTeamStaffP teamStaffP;

    /**
     * 施工班组人员列表
     */
    @ApiModelProperty(value = "施工班组人员列表")
    private List<TfTeamStaffP> teamStaffPList;

}
