package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.baseconf.entity.TfContractTemplateP;
import com.tofly.workflow.baseconf.entity.TfTemplateFieldP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfContractTemplatePDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 合同模板实体
     */
    @ApiModelProperty(value = "合同模板实体")
    private TfContractTemplateP contractTemplateP;

    /**
     * 合同模板字段关联信息列表
     */
    @ApiModelProperty(value = "合同模板字段关联信息列表")
    private List<TfTemplateFieldP> templateFieldList;

}
