package com.tofly.workflow.baseconf.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class BaseTypeDataTypeVo implements Serializable {
    /**
     * 区分类别1:办公；2:物料流程；3:工程...10物料;11设备;12建筑;13:无形资产
     */
    @ApiModelProperty(value = "区分类别1:办公；2:物料流程；3:工程...10物料;11设备;12建筑;13:无形资产")
    private Long dataType;

    private String dataTypeName;
    /**
     * 类型数据
     */
    @ApiModelProperty(value = "类型数据")
    List<BaseTypeVo> vos;
}
