package com.tofly.workflow.baseconf.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 物资数量信息
 */
@Data
@EqualsAndHashCode
public class MatterNumberVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long matterId;
    /**
     * 出入库ID(TF_MATTER_ACCESS_P)
     */
    @ApiModelProperty(value = "出入库ID(TF_MATTER_ACCESS_P)")
    private Long accessId;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long quantity;


}
