package com.tofly.workflow.baseconf.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class MatterPriceVo implements Serializable {

    /**
     * 用友物料ID
     */
    @ApiModelProperty(value = "用友物料ID")
    private Long yyMatterId;
    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long matterId;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private Double price;
    /**
     * 安装价格
     */
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;

    /**
     * 批发价
     */
    @ApiModelProperty(value = "批发价")
    private Double batchPrice;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
