package com.tofly.workflow.baseconf.entity.vo;

import com.tofly.workflow.baseconf.entity.TfBuildUnitP;
import com.tofly.workflow.baseconf.entity.TfConstructionTeamP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfBuildUnitPVo extends TfBuildUnitP implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 单位名称
     */
    @ApiModelProperty(value = "单位名称")
    private String deptName;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    /**
     * 公司地址
     */
    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    /**
     * 施工班组列表
     */
    @ApiModelProperty(value = "施工班组列表")
    private List<TfConstructionTeamP> constructionTeamPList;

}
