/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.ContractConfig;
import com.tofly.workflow.baseconf.entity.dto.QueryConfigDto;
import com.tofly.workflow.baseconf.entity.vo.SingleDataVo;
import com.tofly.workflow.buss.entity.TfProjectBaseW;
import com.tofly.workflow.buss.entity.vo.ContractConfigFieldVo;

import java.util.List;

/**
 * 合同计算配置信息
 *
 * @author WANGZHUN
 * @date Tue Apr 18 00:00:00 CST 2023
 */
public interface ContractConfigService extends IService<ContractConfig> {
    /**
     * 参数处理
     * @return
     */
    public List<ContractConfigFieldVo> paraReplace(Long processId,ContractConfig contractConfig, TfProjectBaseW tfProjectBaseW );

    /**
     * 和同配置复制功能
     * @param sourceConfigId
     * @param targetConfigIds
     */
    public void copyConfig(Long sourceConfigId,String targetConfigIds );


    public List<SingleDataVo> singleData(QueryConfigDto queryConfigDto);

}
