/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfCalendarYearP;
import com.tofly.workflow.baseconf.entity.dto.CalendarYearPDto;

/**
 * 日历年
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfCalendarYearPService extends IService<TfCalendarYearP> {

    Object saveCalendarAll(CalendarYearPDto calendarYearPDto);

    /**
     * 保存日历年
     * @param tfCalendarYearP 日历年信息
     * @return
     */
    Object saveCalendarYear(TfCalendarYearP tfCalendarYearP);

    /**
     * 修改日历年
     * @param tfCalendarYearP 日历年信息
     * @return
     */
    Object updateCalendarYear(TfCalendarYearP tfCalendarYearP);
}
