/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfContractTemplateP;
import com.tofly.workflow.baseconf.entity.dto.TfContractTemplatePDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 合同模板
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfContractTemplatePService extends IService<TfContractTemplateP> {

    void saveContractTemplateField(List<MultipartFile> contractAnnexList, List<MultipartFile> annexList, TfContractTemplatePDto contractTemplatePDto);

        /**
     * 修改基本和详情信息
     * @param contractAnnexList,annexList
     */
    void updateContractTemplate(List<MultipartFile> contractAnnexList, List<MultipartFile> annexList, TfContractTemplatePDto contractTemplatePDto);

    /**
     * 单个删除或批量删除信息
     * @param idList
     */
    void deleteTfContractTemplateP(List<Long> idList);
}
