/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.dto.TfMatterPDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 物资信息表
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfMatterPService extends IService<TfMatterP> {

    List<TfMatterP> getTfMatterPList(TfMatterP matterP);

    void saveMatterAndPrice(TfMatterPDto matterPDto, List<MultipartFile> annexList);

    void updateTfMatterP(TfMatterPDto matterPDto, List<MultipartFile> annexList);

    void deleteTfMatterP(List<Long> idList);

    /**
     * 根据Ids查询 物资信息
     * @param ids
     * @return
     */
    Object getByIds(String ids,Long tenantId);
}
