/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import com.tofly.workflow.baseconf.entity.vo.MatterPriceVo;

import java.util.List;
import java.util.Set;

/**
 * 物资价格
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfMatterPricePService extends IService<TfMatterPriceP> {

    /**
     * 根据用友物料id集合获取物料价格信息
     * @param productIds 用友物料ids
     * @return
     */
    List<MatterPriceVo> getMatterPriceByMatterIds(Set<Long> productIds,Long tenantId);
}
