/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import com.tofly.workflow.baseconf.entity.dto.TfBuildUnitPDto;

import java.util.List;

/**
 * 施工班组人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfTeamStaffPService extends IService<TfTeamStaffP> {

    Page<TfTeamStaffP> getTfTeamStaffPPage(Page page, TfBuildUnitPDto teamStaffPDto);

    List<TfTeamStaffP> getByTeamId(Long teamId);
}
