package com.tofly.workflow.buss.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
@Data
@EqualsAndHashCode
public class ConstructionTeamDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 施工班组ID(TF_CONSTRUCTION_TEAM_P)
     */
    @ApiModelProperty(value = "施工班组ID(TF_CONSTRUCTION_TEAM_P)")
    private Long teamId;
    /**
     * 注意事项
     */
    @ApiModelProperty(value = "注意事项")
    private String pointsAttention;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "施工人员id")
    private String conUserIds;
    @ApiModelProperty(value = "施工人员姓名")
    private String conUserNames;
    /**
     * 文件名称集合
     */
    @ApiModelProperty(value = "文件名称集合")
    private List<String> fileName;


}
