package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.buss.entity.TfAcceptanceApplicationW;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
@Data
public class TfAcceptanceApplicationDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 验收申请对象实体
     */
    @ApiModelProperty(value = "验收申请对象实体")
    private TfAcceptanceApplicationW acceptanceApplicationW;

    /**
     * 工程材料列表
     */
    @ApiModelProperty(value = "工程材料列表")
    private List<TfProjectMaterialW> projectMaterialList;
}
