package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.buss.entity.TfProjectDispatchW;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfProjectDispatchWDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 工程派工对象实体
     */
    @ApiModelProperty(value = "工程派工对象实体")
    private TfProjectDispatchW projectDispatchW;

    /**
     * 工程材料列表
     */
    @ApiModelProperty(value = "工程材料列表")
    private List<TfProjectMaterialW> projectMaterialList;

}
