package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.buss.entity.TfDesignBudgetW;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TfdesignBudgetWDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 设计预算对象实体
     */
    @ApiModelProperty(value = "设计预算对象实体")
    private TfDesignBudgetW designBudgetW;

    /**
     * 工程材料对象列表
     */
    @ApiModelProperty(value = "工程材料对象列表")
    private List<TfProjectMaterialW> projectMaterialList;

}
