package com.tofly.workflow.buss.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 移交的项目列表
 */
@Data
@EqualsAndHashCode
public class TransferProjectDto implements Serializable {

    /**
     * 附件id用逗号分隔
     */
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 备注
     */
    private String remark;

    /**
     * 流程ID(TF_PROCESS_L)
     */
    private Long processId;

    /**
     * 名称
     */
    private String name;

}
