package com.tofly.workflow.buss.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class TfProjectMaterialWVo implements Serializable {

    /**
     * 已领量
     */
    @Excel(name = "已领量",column = "J")
    @ApiModelProperty(value = "已领量")
    private Double receivedNum;
    /**
     * 已领量
     */
    @Excel(name = "领取中的材料",column = "N")
    @ApiModelProperty(value = "领取中的材料")
    private Double applyNum;
    /**
     * 补充量
     */
    @Excel(name = "补料量",column = "L")
    @ApiModelProperty(value = "补充量")
    private Double supplyNum;

    /**
     * 退料量
     */
    @Excel(name = "退料量",column = "K")
    @ApiModelProperty(value = "退料量")
    private Double returnNums;

    /**
     * 总数量
     */
    @Excel(name = "总预算量数量",column = "I")
    @ApiModelProperty(value = "总预算量数量")
    private Double quantityAll;

    /**
     * 关联流程ID
     */
    @ApiModelProperty(value = "关联流程ID")
    private Long linkProcessId;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 物料ID
     */
    @ApiModelProperty(value = "物料ID")
    private Long matterId;

    /**
     * 数量
     */
    @Excel(name = "设计预算数量",column = "H")
    @ApiModelProperty(value = "设计预算数量")
    private Double quantity;

    /**
     * 物资所属类型转义
     */
    @Excel(name = "材料类型",column = "A")
    @ApiModelProperty(value = "物资所属类型转义")
    private String matterTypeName;

    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;

    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称")
    private String categoryName;

    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资名称
     */
    @Excel(name = "材料名称",column = "B")
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 规格型号
     */
    @Excel(name = "规格型号",column = "D")
    @ApiModelProperty(value = "规格型号")
    private String standards;

    /**
     * 计量单位
     */
    @Excel(name = "计量单位",column = "G")
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 物资价格
     */
    @Excel(name = "售价(元)",column = "E")
    @ApiModelProperty(value = "物资价格")
    private Double price;

    /**
     * 安装价格
     */
    @Excel(name = "人工单价(元)",column = "F")
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;
    /**
     * 物资编码
     */
    @Excel(name = "材料编码",column = "C")
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;

    /**
     * 用友物料id
     */
    @ApiModelProperty(value = "用友物料ID")
    private Long product;

    /**
     * 用友物资分型ID
     */
    @ApiModelProperty(value = "用友物资分型ID")
    private Long manageClass;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;




}
