package com.tofly.workflow.buss.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class ThirdBaseInfo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "从此名称")
    private String projectName;
    /**
     * 地址(详细地址)
     */
    @ApiModelProperty(value = "地址(详细地址)")
    private String addre;


    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String dutyPhone;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private String dutyUserName;

    /**
     * 用户数
     */
    @ApiModelProperty(value = "用户数")
    private Integer householdNumber;


    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    @ApiModelProperty(value = "工程性质")
    private String projectNatureName;

    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称")
    private String categoryName;
    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    private String userTypeName;

    @ApiModelProperty(value = "地址信息")
    private String adderInfo;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacts;
    /**
     * 用户电话
     */
    @ApiModelProperty(value = "用户电话")
    private String userPhone;
}
