package com.tofly.workflow.buss.entity.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class TransferProjectVo implements Serializable {

    /**
     * ID
     */
    private Long id;

    /**
     * 项目移交ID(TF_PROJECT_TRANSFER_W)
     */
    private Long transferId;

    /**
     * 附件id用逗号分隔
     */
    private String annex;


    /**
     * 备注
     */
    private String remark;

    /**
     * 流程ID(TF_PROCESS_L)
     */
    private Long processId;

    /**
     * 名称
     */
    private String name;

}
