package com.tofly.workflow.buss.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.buss.entity.TfSafetyMonitorW;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 安全监护 (单独填报)(TfSafetyMonitorW)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-09-20 10:10:23
 */
public interface TfSafetyMonitorWMapper extends BaseMapper<TfSafetyMonitorW> {

    /**
    * 批量新增数据（MyBatis原生foreach方法）
    *
    * @param entities List<TfSafetyMonitorW> 实例对象列表
    * @return 影响行数
    */
    int insertBatch(@Param("entities") List<TfSafetyMonitorW> entities);
    
    /**
    * 批量新增或按主键更新数据（MyBatis原生foreach方法）
    *
    * @param entities List<TfSafetyMonitorW> 实例对象列表
    * @return 影响行数
    * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
    */
    int insertOrUpdateBatch(@Param("entities") List<TfSafetyMonitorW> entities);

}

