/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfTransferFixedAssetsW;
import com.tofly.workflow.buss.entity.dto.TransferFixedAssetsDto;
import com.tofly.workflow.buss.entity.vo.TransferFixedAssetsVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 转入固定资产 （单独填报)
 *
 * @author JF
 * @date Thu Sep 08 00:00:00 CST 2022
 */
public interface TfTransferFixedAssetsWService extends IService<TfTransferFixedAssetsW> {

    void saveTransferFixedAssets(TfTransferFixedAssetsW transferFixedAssetsW, List<MultipartFile> annexList);

    void updateTransferFixedAssets(TfTransferFixedAssetsW transferFixedAssetsW, List<MultipartFile> annexList);

    void deleteTransferFixedAssets(List<Long> idList);

    Page<TransferFixedAssetsVo> pageTransferFixedAssets(Page page, TransferFixedAssetsDto dto);
}
