package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfProjectTransferW;
import com.tofly.workflow.buss.entity.TfTransferProjectW;
import com.tofly.workflow.buss.entity.dto.TransferProjectDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author HaiQiu
* @description 针对表【TF_TRANSFER_PROJECT_W(移交的项目列表)】的数据库操作Service
* @createDate 2022-09-20 09:16:14
*/
public interface TfTransferProjectWService extends IService<TfTransferProjectW> {

    String checkProjects(List<TransferProjectDto> projects, List<MultipartFile> fileList);

    void saveProject(List<TransferProjectDto> projects, List<MultipartFile> fileList, TfProjectTransferW pt, Long id1);
}
