package com.tofly.workflow.pay.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 流程配置银行（金融）分页查询
 */
@Data
@EqualsAndHashCode
public class BankPageDto implements Serializable {

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String telephone;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
}
