package com.tofly.workflow.pay.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 状态结果
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class CodeVo implements Serializable {
    /**
     * 请求状态码 1 成功 0 失败
     */
    @ApiModelProperty(value = "请求状态码 1 成功 0 失败")
    private Integer code;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;
}
