package com.tofly.workflow.process.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class PSuperviseDto implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 流程ID
     */
    @NotNull(message = "processId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @NotNull(message = "processStep"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @NotNull(message = "stepNode"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    /**
     * 意见
     */
    @ApiModelProperty(value = "意见")
    private String opinion;

    /**
     * 级别1,2,3,4,5
     */
    @ApiModelProperty(value = "级别1,2,3,4,5")
    private Short level;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
