package com.tofly.workflow.processconfig.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 流程配置步骤处理引用关联的历史步骤
 */
@Data
@EqualsAndHashCode
public class LHStepVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 引用配置ID(流程自身值为0)
     */
    @ApiModelProperty(value = "引用配置ID(流程自身值为0)")
    private Long historyConfigId;
    /**
     * 应用步骤序号
     */
    @ApiModelProperty(value = "应用步骤序号")
    private Integer historyStepOrder;

}
