/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.processconfig.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.processconfig.entity.TfConfigStepUserL;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程配置步骤配置的人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfConfigStepUserLMapper extends BaseMapper<TfConfigStepUserL> {

    List<Long> getStepUsers(@Param("configId") Long configId,@Param("edition") Integer edition,@Param("processStep") Integer processStep,@Param("stepNode") Integer stepNode);

    List<Long> getStepPostUsers(@Param("configId") Long configId,@Param("edition") Integer edition,@Param("processStep") Integer processStep,@Param("stepNode") Integer stepNode);

    List<TfConfigStepUserL> getNodeUsers(@Param("configId") Long configId,@Param("edition") Integer edition,@Param("processStep") Integer processStep,@Param("stepNode") Integer stepNode);
}
