/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.processconfig.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.processconfig.entity.TfLinkHistoryStepL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigStepL;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepDto;

import java.util.List;
import java.util.Map;

/**
 * 流程步骤指定应用历史步骤人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfLinkHistoryStepLService extends IService<TfLinkHistoryStepL> {

    /**
     * 保存步骤关联的历史步骤
     * @param steps 流程步骤信息
     * @param stepDtos 包含关联历史步骤的步骤信息
     * @return 保存结果
     */
    boolean linkHistoryStepSave(Map<Integer, TfProcessConfigStepL> steps, List<PConfigStepDto> stepDtos);
}
