package com.tofly.workflow.report.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.report.dto.ReportDto;
import com.tofly.workflow.report.vo.*;

import java.util.List;

public interface ReportService  extends IService<SignApplyVo> {
    public Page<SignApplyVo> getSignAndApplyData(Page page, ReportDto reportDto);

    public List<SignApplyVo> getSignAndApplyData(ReportDto reportDto);

    public Page<ProjectDispatchVo> getDispatchCount(Page page, ReportDto reportDto);

    public  Page<NotInProjectVo> getNotInProjectVo(Page page, ReportDto reportDto);

    public  Page<PreIncomeVo> preIncomeCount(Page page, ReportDto reportDto);

    public  Page<SettlementVo> settlementCount(Page page, ReportDto reportDto);

    public  Page<HasChargeVo> hasChargeCount(Page page, ReportDto reportDto);


    public Page<AcceptVo> acceptCount(Page page, ReportDto reportDto);

    public Page<CompleteVo> completeCount(Page page, ReportDto reportDto);

    public Page<AllRoundVo> allRoundCount(Page page, ReportDto reportDto);
}
