package com.tofly.workflow.report.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AllRoundVo {
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "A")
    private String processTypeName;
    @ApiModelProperty(value = "总户数")
    @Excel(name = "总户数",column = "B")
    private String  totalHouseholdNumber;
    @ApiModelProperty(value = "登记数")
    @Excel(name = "登记数",column = "C")
    private String  registerNumber;

    @ApiModelProperty(value = "已缴费数")
    @Excel(name = "已缴费数",column = "D")
    private String  hasCharge;


    @ApiModelProperty(value = "未开工")
    @Excel(name = "未开工",column = "E")
    private String  noBegin;
    @ApiModelProperty(value = "已开工")
    @Excel(name = "已开工",column = "F")
    private String  hasBegin;


    @ApiModelProperty(value = "完结归档")
    @Excel(name = "完结归档",column = "G")
    private String  completeNum;


    @ApiModelProperty(value = "已验收")
    @Excel(name = "已验收",column = "H")
    private String  hasAccept;
    @ApiModelProperty(value = "未验收")
    @Excel(name = "未验收",column = "I")
    private String  noAccept;
    @ApiModelProperty(value = "已结算")
    @Excel(name = "已结算",column = "J")
    private String  hasSettle;

    @ApiModelProperty(value = "转固")
    @Excel(name = "转固",column = "K")
    private String  toRegularCount;

}
