package com.tofly.workflow.report.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProjectDispatchVo {

    @ApiModelProperty(value = "项目小组")
    @Excel(name = "项目小组", column = "A")
    private String dutyPostName;

    @ApiModelProperty(value = "项目负责人")
    @Excel(name = "项目负责人", column = "B")
    private String dutyUser;
    @ApiModelProperty(value = "商业")
    @Excel(name = "商业", column = "C")
    private Double sysl;
    @ApiModelProperty(value = "工业")
    @Excel(name = "工业", column = "D")
    private Double gysl;
    @ApiModelProperty(value = "公服")
    @Excel(name = "公服", column = "E")
    private Double gfsl;
    @ApiModelProperty(value = "集中小区")
    @Excel(name = "集中小区", column = "F")
    private Double jzxqsl;
    @ApiModelProperty(value = "民用")
    @Excel(name = "民用", column = "G")
    private Double mysl;
    @ApiModelProperty(value = "非居用户小计")
    @Excel(name = "非居用户小计", column = "H")
    private Double fjxqsl;
    @ApiModelProperty(value = "集中小区户数")
    @Excel(name = "集中小区户数", column = "I")
    private Double jzxqHs;
    @ApiModelProperty(value = "居民用户小计")
    @Excel(name = "居民用户小计", column = "J")
    private Double myHs;
    @ApiModelProperty(value = "项目总数")
    @Excel(name = "项目总数", column = "K")
    private Double projectNumber;
    @ApiModelProperty(value = "总户数")
    @Excel(name = "总户数", column = "L")
    private Double householdTotal;

}