package com.tofly.workflow.utils.compute;

/**
 * 作者：xxx
 * 创建时间：2020/5/19 9:49
 * 版本：1.0
 * 描述：实现一个栈
 */
public class StrStack {
    private int stackPoint = 0;//当前数组下标
    private String[] myStack = new String[StrCut.arrSize];//允许字符个数

    StrStack() {
    }

    StrStack(String initStr) {
        push(initStr);
    }

    //存入字符,下标自增
    public void push(String str) {
        if (stackPoint == StrCut.arrSize)
            throw new RuntimeException("字符长度超出限制");
        else {
            myStack[stackPoint++] = str;
        }
    }

    //获取除结尾符外的最后一个字符
    public String getTop() {
        if (stackPoint == 0) {
            return null;
        } else {
            return myStack[stackPoint - 1];
        }
    }

    //删除除结尾符外的最后一个字符,并返回这个字符
    public String pop() {
        String pop = myStack[--stackPoint];
        myStack[stackPoint] = null;
        return pop;
    }

    public int getStackPoint() {
        return stackPoint;
    }
}

