package com.tofly.workflow.wzyy.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class RespPageDto implements Serializable {

    /**
     *当前页索引
     */
    @ApiModelProperty(value = "前页索引")
    private Long pageIndex;
    /**
     *当前页大小
     */
    @ApiModelProperty(value = "当前页大小")
    private Long pageSize;
    /**
     *查询出的记录条数
     */
    @ApiModelProperty(value = "查询出的记录条数")
    private Long recordCount;
    /**
     *页数
     */
    @ApiModelProperty(value = "页数")
    private Long pageCount;
    /**
     *起始页索引
     */
    @ApiModelProperty(value = "起始页索引")
    private Long beginPageIndex;
    /**
     *结束页索引
     */
    @ApiModelProperty(value = "结束页索引")
    private Long endPageIndex;

}
