package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class InOutInfoDto implements Serializable {
    /**
     * 主表ID
     */
    @ApiModelProperty(value = "主表ID")
    private Long id;

    /**
     * 单据状态, 0:未提交、1:已提交、
     */
    @ApiModelProperty(value = "单据状态, 0:未提交、1:已提交、")
    private Integer status;
    @ApiModelProperty(value = "单据编号")
    private String code;
    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long warehouse;


    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long inWarehouse;


    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long outWarehouse;

    /**
     * 材料出库单子表
     */
    @ApiModelProperty(value = "材料出库单子表")
    private List<YyMaterOutDto> materOuts;

    /**
     * 材料退库库单子表
     */
    @ApiModelProperty(value = "材料退库单子表")
    private List<YyMaterOutDto> othInRecords;

    /**
     * 材料转库库单子表
     */
    @ApiModelProperty(value = "材料转库单子表")
    private List<YyMaterOutDto> details;

}
