package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 用友材料出库
 */
@Data
@EqualsAndHashCode
public class MaterialOutDto extends MaterialYyDto{

    /**
     * 材料出库单子表
     */
    @ApiModelProperty(value = "材料出库单子表")
    private List<MaterialItemOutDto> materOuts;


    /**
     * 表头自定义项特征(出库)
     */
    @ApiModelProperty(value = "表头自定义项特征(出库)")
    private OutDefineDto materialOutDefineCharacter;




}
